Bug 1566942 - noVNC Console is not working with vSphere 6.5 *ESXi 6.5*
Summary: noVNC Console is not working with vSphere 6.5 *ESXi 6.5*
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 08:07 UTC by Waldirio M Pinheiro
Modified: 2019-11-05 23:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:02:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17727 0 None None None 2018-04-13 08:22:25 UTC
Foreman Issue Tracker 22062 0 None None None 2018-04-13 08:21:57 UTC

Description Waldirio M Pinheiro 2018-04-13 08:07:28 UTC
Description of problem:
When configuring everything to access the VM console via Satellite webUI we are unable to connect. After do a deep research I got the information that this kind of connection *VNC* should be deprecated from the vSphere side, now keeping just the VMRC support.

Version-Release number of selected component (if applicable):
6.3.x and 6.2.x, the main issue here is the vSphere version, if product/hypervisor is running 6.5 then will fail.

How reproducible:
100%

Steps to Reproduce:
1. Configure everything according [1] and [2]
2. Test the connection

[1]. https://access.redhat.com/solutions/3410621
[2]. https://theforeman.org/manuals/1.11/index.html#7.1NoVNC

Actual results:
Error on the Satellite webUI

Expected results:
VM Console

Additional info:

Comment 1 Waldirio M Pinheiro 2018-04-13 08:20:11 UTC
Hi all

Checking for the issue when accessing VM console on machines running over ESX 6.5 *and testing locally in our labs* I got some links according below


https://bugzilla.redhat.com/show_bug.cgi?id=1524301
- Here we can see the issue for some browsers but nothing related to vCenter

https://access.redhat.com/solutions/2844021
- Here one great explanation about what should be done to configure the environment and at the end one great comment from Lukas about vSphere *Adrian, we don't support that on VMWare, only libvirt and RHEV/oVirt for now.*

https://projects.theforeman.org/issues/17727
- The specific issue when using vSphere 6.5


http://projects.theforeman.org/issues/22062
- Support VMWare VMRC Console *here the upstream code updated*

Comment 3 pm-sat@redhat.com 2018-04-13 10:19:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17727 has been resolved.

Comment 5 Sanket Jagtap 2018-09-05 18:33:20 UTC
Build:Satellite 6.4.0 snap20

Satellite now has a option to select VMRC display type when creating a Vmware Compute resource.

Install VMRC Console on machine.
Navigate to the host and click Console.
Click Launch VMRC console.

PFA to see the VMRC launched Console

Comment 7 Bryan Kearney 2018-10-16 19:02:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.